/**
 *
 * ==========注册==========
 * 
 * */


  init()
  // ==========初始化==========
  function init() {
    cutRegsterBar();
    inputOnchange();
  }
  // ==========获取短信==========
  var code_flag = true, // 防止多次点击
    timer = null; // 倒计时控制器

   function getCode() {
    if (code_flag) {
      code_flag = false
      if(!phoneNumber($('#phone').val())){

          $('.user input').focus();
          $('#loginbox .user .--err').html('手机号格式错误！').show().delay(2000).fadeOut();
          setTimeout(function(){code_flag = true},1500)
      }else {
          $('.code-btn').html('发送中...')
          var params = {};
          params.theData = {
              phone:$('#phone').val(),
              'verify_type':'register',
              'type':$('.regster-title').attr('data-type')
          }
          params.theUrl =  allAPI.sms.getCode;
          doPostAjax(params,function(data){
              if(data.code == 200) {
                  var t = 60;
                  $('.code-btn').html('发送成功(60s)')
                  timer = setInterval(function () {
                      t--
                      $('.code-btn').html('发送成功('+t + 's)')
                      if (t === 0) {
                        $('.code-btn').html('获取验证码')
                          clearInterval(timer)
                          code_flag = true
                          return
                      }
                  }, 1000)
              }else{
                $msg(data.info,2)
                code_flag = true
              }
          })
      }
    }
  }
  // ==========检测 input 禁止code输入========
  function inputOnchange(){
    $("#loginbox .user input").on("input  propertychange",function(){
      if($(this).val()!==''){
       $("#loginbox .code input").removeAttr('disabled')
      }else{
        $("#loginbox .code input").attr('disabled','disabled')
      }
    })

    $('.protocol-parent').find("input[type='checkbox']").on("change", function () {
      if($(this).prop('checked')){
        $('.registerbtn-parent').find('.registerbtn2').addClass('hide').siblings('.registerbtn1').removeClass('hide')
      }else{
        $('.registerbtn-parent').find('.registerbtn1').addClass('hide').siblings('.registerbtn2').removeClass('hide')
      }
    })
  }
  // ==========切换广告主 媒体主==========
  function cutRegsterBar() {
    var dom = "#loginbox .regster-title .pointer";
    $(dom).bind('click', function (e, i) {
      $(dom).removeClass('active');
      $(this).addClass('active');
      $(this).parent().attr('data-type',  $(this).attr('data-type')); //设置 类型
      s($(this).index());
    })

    function s(index) {
      if (index === 0) {
        $('.regster-img01').show();
        $('.regster-img02').hide();
        $('.regster-intro01').show();
        $('.regster-intro02').hide();
      } else if (index === 1) {
        $('.regster-img01').hide();
        $('.regster-img02').show();
        $('.regster-intro01').hide();
        $('.regster-intro02').show();
      }
    }
  }

  // ==========注册==========
  var r_flag = true; // 防止多次点击 btn

   function userReg() {
    var protocol_btn = $('.protocol').prop('checked');
    if (r_flag && protocol_btn) {
        r_flag = false;
      if(!phoneNumber($('.user input').val())){
          $('.user input').focus();
          // $('.user input').css('border','1px solid red');
          $('#loginbox .user .--err').html('手机号格式错误！').show(10).fadeIn().delay(2000).fadeOut();
          setTimeout(function(){r_flag = true},1500)
      }else if($('.code input').val() ==''){
          $('.code input').focus();
          setTimeout(function(){r_flag = true},1500)
          // $('.code input').css('border','1px solid red');
          $('#loginbox .code .--err').html('输入验证码！').show(10).fadeIn().delay(2000).fadeOut();
      }else if(!passwordNumber($('.password input').val())){
          $('.password input').focus();
          setTimeout(function(){r_flag = true},1500)
          $('#loginbox .password .--err').html('密码格式错误！').show(10).fadeIn().delay(2000).fadeOut();
          // $('.password input').css('border','1px solid red');
      }else{
          pcRegister();
      }
    }
  }
